# Get value set

`GET /v1/operations/valuesets/{valueSetId}`

Available as MCP tool `get-value-set` (Read).

Translation set endpoints allow you to review and manage value sets, translation sets, and related translation set links. 

A <u>value set</u> is a list of values (e.g., LOINC, SNOMED, or a custom code set) that should be translated during the process of data exchange. [Learn about value sets](https://docs.redoxengine.com/permalink/57h6bja3T7Qy0Mf1ai7uMQ).

A <u>translation set</u> contains two value sets: one for incoming values and one for outgoing values between systems. A translation set also defines how those values should map to each other. [Learn about translation sets](https://docs.redoxengine.com/permalink/4GJXunyoAI3s05VrrRkJ09). 

A <u>translation set link</u> defines where the translation set should be applied in log processing for a specific subscription.

Anyone in a Redox organization can view translation sets and related value sets or links, but you must be assigned to an engineer or support role to update or delete them.

You can:

- retrieve a list of value sets by environment or organization;
- retrieve a list of translation sets by environment or organization;
- create, update, or delete value sets;
- create, update, or delete translation sets or links;
- create, update, or delete a value in a value set; or
- create or delete a translation in a translation set;

### Get value set

Retrieve a specific value set based on its unique ID. This could be helpful if you want to view the value set before using, updating, or deleting it.

## Request parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `valueSetId` | path | string | Yes | Contains the unique identifier of the value set. |

## Request example

```bash
curl 'https://api.redoxengine.com/platform/v1/operations/valuesets/{valueSetId}' \
--request GET \
--header 'Authorization: Bearer $API_TOKEN' \
--header 'accept: application/json'
```

## Responses

### 200

Contains a payload object with the requested value set.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `meta` | object | No |  |
| `meta.version` | string | No | Lists the major and minor version number for the format of the returned payload. The payload format or shape may change between minor versions, like including additional or extended fields in later versions. We include the version data in each response so that you have the option to handle the signaled differences. |
| `payload` | object | No | Contains details about the requested value set. |
| `payload.valueSet` | object | No |  |
| `payload.valueSet.environment` | object | No | Describes the Redox environment that the asset belongs to. |
| `payload.valueSet.environment.id` | string (uuid) | No | Contains the unique identifier of the Redox environment. |
| `payload.valueSet.organization` | object | No | Describes the Redox organization that the asset belongs to. |
| `payload.valueSet.organization.id` | number | No | Contains the unique identifier of the Redox organization. |
| `payload.valueSet.organization.name` | string, nullable | No | Contains the human-readable name of the Redox organization. |
| `payload.valueSet.createdAt` | string | No | Displays the date and time that the asset was originally created in ISO 8601 format. |
| `payload.valueSet.createdBy` | object | No | Contains the metadata about the user who created the asset. |
| `payload.valueSet.createdBy.id` | number | No | Contains the unique identifier of the user. |
| `payload.valueSet.createdBy.name` | string, nullable | No | Displays the user's full name. |
| `payload.valueSet.updatedAt` | string | No | Displays the date and time that the asset was last updated in ISO 8601 format. |
| `payload.valueSet.updatedBy` | object | No | Contains the metadata about the user who last updated the asset. |
| `payload.valueSet.updatedBy.id` | number | No | Contains the unique identifier of the user. |
| `payload.valueSet.updatedBy.name` | string, nullable | No | Displays the user's full name. |
| `payload.valueSet.deletedAt` | string, nullable | No | Displays the date and time that the asset was deleted. Returns a `null` value if the asset hasn't been deleted. |
| `payload.valueSet.deletedBy` | object, nullable | No | Contains the metadata about the user who deleted the asset. |
| `payload.valueSet.deletedBy.id` | number | No | Contains the unique identifier of the user. |
| `payload.valueSet.deletedBy.name` | string, nullable | No | Displays the user's full name. |
| `payload.valueSet.id` | string (uuid) | No | Contains the unique identifier of the asset. |
| `payload.valueSet.name` | string | No | Contains the human-readable name of the asset. |
| `payload.valueSet.values` | Array of object | No |  |
| `payload.valueSet.values[].id` | string (uuid) | No | Contains the unique identifier of the asset. |
| `payload.valueSet.values[].value` | string | No | Contains the actual string value data. |
| `payload.valueSet.valueSetUsage` | Array of object | No |  |
| `payload.valueSet.valueSetUsage[].translationSetId` | string (uuid) | No | Contains the unique identifier of the asset. |
| `payload.valueSet.valueSetUsage[].translationSetName` | string | No | Contains the human-readable name of the asset. |
| `payload.valueSet.promotionAssociations` | Array of object | No | Contains a list of promotions associated with this asset. |
| `payload.valueSet.promotionAssociations[].organization` | object | No | Describes the Redox organization that the asset belongs to. |
| `payload.valueSet.promotionAssociations[].organization.id` | number | No | Contains the unique identifier of the Redox organization. |
| `payload.valueSet.promotionAssociations[].organization.name` | string, nullable | No | Contains the human-readable name of the Redox organization. |
| `payload.valueSet.promotionAssociations[].fromAsset` | object | No | Describes the original asset that was created in staging and promoted to production. |
| `payload.valueSet.promotionAssociations[].fromAsset.id` | string (uuid) | No | Contains the unique identifier of the asset. |
| `payload.valueSet.promotionAssociations[].fromAsset.environment` | object | No | Describes the Redox environment that the asset belongs to. |
| `payload.valueSet.promotionAssociations[].fromAsset.environment.id` | string (uuid) | No | Contains the unique identifier of the Redox environment. |
| `payload.valueSet.promotionAssociations[].fromAsset.type` | string | No | Possible values: configModifier, filter, translationSet |
| `payload.valueSet.promotionAssociations[].fromAsset.latestVersion` | number | No | Displays the most recent version of the original asset in staging. This may vary from the version number in production. A different version number may indicate you need to re-promote the asset to production. |
| `payload.valueSet.promotionAssociations[].toAsset` | object | No | Describes the promoted asset that can be used or linked to subscriptions in production. |
| `payload.valueSet.promotionAssociations[].toAsset.id` | string (uuid) | No | Contains the unique identifier of the asset. |
| `payload.valueSet.promotionAssociations[].toAsset.environment` | object | No | Describes the Redox environment that the asset belongs to. |
| `payload.valueSet.promotionAssociations[].toAsset.environment.id` | string (uuid) | No | Contains the unique identifier of the Redox environment. |
| `payload.valueSet.promotionAssociations[].toAsset.type` | string | No | Possible values: configModifier, filter, translationSet |
| `payload.valueSet.promotionAssociations[].toAsset.latestVersion` | number | No | Displays the most recent version of the promoted asset in production. This may vary from the version number in staging. A different version number may indicate you need to re-promote the staging asset to production. |
| `payload.valueSet.promotionAssociations[].toAsset.outOfDate` | boolean | No | Indicates whether the version of the promoted asset in production is different from the version of the original asset in staging. |
| `payload.valueSet.promotionAssociations[].createdAt` | string | No | Displays the date and time that the asset was originally created in ISO 8601 format. |
| `payload.valueSet.promotionAssociations[].createdBy` | object | No | Contains the metadata about the user who created the asset. |
| `payload.valueSet.promotionAssociations[].createdBy.id` | number | No | Contains the unique identifier of the user. |
| `payload.valueSet.promotionAssociations[].createdBy.name` | string, nullable | No | Displays the user's full name. |
| `payload.valueSet.promotionAssociations[].updatedAt` | string | No | Displays the date and time that the asset was last updated in ISO 8601 format. |
| `payload.valueSet.promotionAssociations[].updatedBy` | object | No | Contains the metadata about the user who last updated the asset. |
| `payload.valueSet.promotionAssociations[].updatedBy.id` | number | No | Contains the unique identifier of the user. |
| `payload.valueSet.promotionAssociations[].updatedBy.name` | string, nullable | No | Displays the user's full name. |
| `payload.valueSet.promotionAssociations[].deletedAt` | string, nullable | No | Displays the date and time that the asset was deleted. Returns a `null` value if the asset hasn't been deleted. |
| `payload.valueSet.promotionAssociations[].deletedBy` | object, nullable | No | Contains the metadata about the user who deleted the asset. |
| `payload.valueSet.promotionAssociations[].deletedBy.id` | number | No | Contains the unique identifier of the user. |
| `payload.valueSet.promotionAssociations[].deletedBy.name` | string, nullable | No | Displays the user's full name. |

_Generated from the schema: the values are placeholders, not a real payload._

```json
{
  "meta": {
    "version": "1.0.0"
  },
  "payload": {
    "valueSet": {
      "environment": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      },
      "organization": {
        "id": 122,
        "name": "string"
      },
      "createdAt": "2024-04-25T18:17:16.719Z",
      "createdBy": {
        "id": 0,
        "name": "string"
      },
      "updatedAt": "2024-04-25T18:17:16.719Z",
      "updatedBy": {
        "id": 0,
        "name": "string"
      },
      "deletedAt": "2024-04-25T18:17:16.719Z",
      "deletedBy": {
        "id": 0,
        "name": "string"
      },
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "values": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "value": "5792-7"
        }
      ],
      "valueSetUsage": [
        {
          "translationSetId": "6531111b-777c-4c97-a077-8ddaea0830c4",
          "translationSetName": "string"
        }
      ],
      "promotionAssociations": [
        {
          "organization": {
            "id": 122,
            "name": "string"
          },
          "fromAsset": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "environment": {
              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
            },
            "type": "configModifier",
            "latestVersion": 0
          },
          "toAsset": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "environment": {
              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
            },
            "type": "configModifier",
            "latestVersion": 0,
            "outOfDate": true
          },
          "createdAt": "2024-04-25T18:17:16.719Z",
          "createdBy": {
            "id": 0,
            "name": "string"
          },
          "updatedAt": "2024-04-25T18:17:16.719Z",
          "updatedBy": {
            "id": 0,
            "name": "string"
          },
          "deletedAt": "2024-04-25T18:17:16.719Z",
          "deletedBy": {
            "id": 0,
            "name": "string"
          }
        }
      ]
    }
  }
}
```

### 400

Bad Request

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `payload` | object | No | Contains the error message. |
| `payload.error` | object | No | Contains the error message details. |
| `payload.error.id` | string | No | Contains a unique identifier for the given error instance. |
| `payload.error.title` | string | No | Displays the high-level error message, typically something succinct like `Bad Request`. |
| `payload.error.code` | string | No | Contains an alternative ID for the error type, which can be used to find relevant troubleshooting information. |
| `payload.error.detail` | string | No | Contains the specific error details for this message. |
| `payload.error.status` | number | No | Displays the corresponding HTTP status code for the error. |
| `payload.error.transient` | boolean | No | Describes whether the error will resolve itself. If `true`, no further action needs to be taken. If `false`, you may need to troubleshoot on your end to resolve the issue before the error can be processed. |

```json
{
  "payload": {
    "error": {
      "title": "Bad Request",
      "code": "validation.error.bad.request",
      "detail": "Error details",
      "status": 400,
      "transient": false
    }
  }
}
```

### 403

Forbidden

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `payload` | object | No | Contains the error message. |
| `payload.errors` | Array of object | No |  |
| `payload.errors[].title` | string | No | Displays the high-level error message, typically something succinct like `Forbidden`. |
| `payload.errors[].code` | string | No | Contains an alternative ID for the error type, which can be used to find relevant troubleshooting information. |

```json
{
  "payload": {
    "errors": [
      {
        "title": "Forbidden",
        "code": "authorization.forbidden"
      }
    ]
  }
}
```

### 500

Internal Server Error

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `payload` | object | No | Contains the error message. |
| `payload.error` | object | No | Contains the error message details. |
| `payload.error.title` | string | No | Displays the high-level error message, typically something succinct like `Failed in step X`. |
| `payload.error.code` | string | No | Contains an alternative ID for the error type, which can be used to find relevant troubleshooting information. |
| `payload.error.detail` | string | No | Contains the specific error details for this message. |
| `payload.error.status` | number | No | Displays the corresponding HTTP status code for the error. |
| `payload.error.transient` | boolean | No | Describes whether the error will resolve itself. If `true`, no further action needs to be taken. If `false`, you may need to troubleshoot on your end to resolve the issue before the error can be processed. |

```json
{
  "payload": {
    "error": {
      "title": "Internal Server Error",
      "code": "failed.db.lookup",
      "detail": "Error details",
      "status": 500,
      "transient": true
    }
  }
}
```
